<app-breadcrumb [single]="false" titlePage="Crear Usuario" backPage="Usuarios" url="users"></app-breadcrumb>
<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Nuevo Usuario</h3>
      </div>
      <div class="card-body">
        <form (ngSubmit)="submit(form)"  #form="ngForm">
          <div class="form-group">
            <label for="userName">Nombre<span class="text-danger">*</span></label>
            <input type="text" name="name"  required placeholder="Ingresa Nombre" class="form-control" id="userName" ngModel>
          </div>
          <div class="form-group">
            <label for="emailAddress">Correo<span class="text-danger">*</span></label>
            <input type="email" name="email" required placeholder="Ingresa Correo" class="form-control" id="emailAddress" ngModel>
          </div>
          <div class="form-group">
            <label for="pass1">Contraseña<span class="text-danger">*</span></label>
            <input id="pass1" [type]="type" placeholder="Contraseña" required class="form-control" name="password" ngModel>
          </div>
          <div class="form-group">
            <label for="passWord2">Confirmar Contraseña <span class="text-danger">*</span></label>
            <input [type]="type" required placeholder="Confirmar Contraseña" class="form-control" id="passWord2" name="pass" ngModel>
          </div>
          <div class="form-group float-end mt-3">
            <button class="btn btn-info" type="button" (click)="eyePass()">
              <span *ngIf="type == 'password'">Ver Contraseña</span>
              <span *ngIf="type != 'password'">Ocultar Contraseña</span>
            </button>
            <button class="btn btn-primary m-l-5 ms-4" type="submit" [disabled]="form.invalid">
              Guardar
            </button>
            <button type="reset" class="btn btn-secondary m-l-5 ms-4">
              Cancelar
            </button>
          </div>
        </form>
      </div>
    </div><!-- end card-->
  </div>
</div>
<!-- END container-fluid -->

